# -*- coding: utf-8 -*-
"""Untitled1.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1wlWBW900aqD0Y1ukk39tSJDpqrsKoqze
"""

import json
import numpy as np

x = [
  {
    "WHO": "Joe",
    "WEEK": [
      {
        "NUMBER": 3,
        "EXPENSE": [
          {
            "WHAT": "Beer",
            "AMOUNT": 18.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 12.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 19.00
          },
          {
            "WHAT": "Car",
            "AMOUNT": 20.00
          }
        ]
      },
      {
        "NUMBER": 4,
        "EXPENSE": [
          {
            "WHAT": "Beer",
            "AMOUNT": 19.00
          },
          {
            "WHAT": "Beer",
            "AMOUNT": 16.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 17.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 17.00
          },
          {
            "WHAT": "Beer",
            "AMOUNT": 14.00
          }
        ]
      },
      {
        "NUMBER": 5,
        "EXPENSE": [
          {
            "WHAT": "Beer",
            "AMOUNT": 14.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 12.00
          }
        ]
      }
    ]
  },
  {
    "WHO": "Beth",
    "WEEK": [
      {
        "NUMBER": 3,
        "EXPENSE": [
          {
            "WHAT": "Beer",
            "AMOUNT": 16.00
          }
        ]
      },
      {
        "NUMBER": 4,
        "EXPENSE": [
          {
            "WHAT": "Food",
            "AMOUNT": 17.00
          },
          {
            "WHAT": "Beer",
            "AMOUNT": 15.00
          }
        ]
      },
      {
        "NUMBER": 5,
        "EXPENSE": [
          {
            "WHAT": "Food",
            "AMOUNT": 12.00
          },
          {
            "WHAT": "Beer",
            "AMOUNT": 20.00
          }
        ]
      }
    ]
  },
  {
    "WHO": "Janet",
    "WEEK": [
      {
        "NUMBER": 3,
        "EXPENSE": [
          {
            "WHAT": "Car",
            "AMOUNT": 19.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 18.00
          },
          {
            "WHAT": "Beer",
            "AMOUNT": 18.00
          }
        ]
      },
      {
        "NUMBER": 4,
        "EXPENSE": [
          {
            "WHAT": "Car",
            "AMOUNT": 17.00
          }
        ]
      },
      {
        "NUMBER": 5,
        "EXPENSE": [
          {
            "WHAT": "Beer",
            "AMOUNT": 14.00
          },
          {
            "WHAT": "Car",
            "AMOUNT": 12.00
          },
          {
            "WHAT": "Beer",
            "AMOUNT": 19.00
          },
          {
            "WHAT": "Food",
            "AMOUNT": 12.00
          }
        ]
      }
    ]
  }
]

ExpenseList = []
ExpenseList2 = []
total_expenses=[]


for y in x:
  # print(y["WEEK"])
  j = y["WEEK"]
  for i in j:
    # print(i["EXPENSE"])
    main = i["EXPENSE"]
    for k in main:
      #print(k)
      # print(k["AMOUNT"])
      mainData = k["AMOUNT"]
      # print(mainData)
      ExpenseList.append(mainData)
      sum=0
      # print(ExpenseList)
      for a in ExpenseList:
        sum = sum + a

# print(sum)
# for b in x:
#   data = list(b.items())
#   # print(data)
#
# print(x[0])

b = x[0]
#print(b)
#print(b["WEEK"])

for data in c:
  print(data)

print(data["EXPENSE"])
#mainData3 = data["EXPENSE"]
#print(mainData3)
#for DATA in mainData3:
    #print(["AMOUNT"])
    #ExpenseList2.append(DATA["AMOUNT"])
    #print(ExpenseList2)



first_expense_joe = None

for person_data in x:
    if person_data["WHO"] == "Joe":
        for week_data in person_data["WEEK"]:
            for expense in week_data["EXPENSE"]:
                if first_expense_joe is None:
                    first_expense_joe = expense["AMOUNT"]
                    break


if first_expense_joe is not None:
    print(f"Joe's first expense amount: {first_expense_joe:.2f}")
else:
    print("No expenses found for Joe.")

total_expense_joe = 0
def calculate_total_expense_for_joe(data):
    total_expense_joe = 0

    # Iterate through the data
    for person in data:
        if person["WHO"] == "Joe":
            for week in person["WEEK"]:
                for expense in week["EXPENSE"]:
                    total_expense_joe += expense["AMOUNT"]

    return total_expense_joe


if __name__ == "__main__":
    total_expense_joe = calculate_total_expense_for_joe(x)
    print("Total expenses for Joe (initial):", first_expense_joe)


    def refresh_expenses():

        refreshed_total_expense_joe = calculate_total_expense_for_joe(x)
        return refreshed_total_expense_joe


    total_expense_joe = refresh_expenses()
    print("Total expenses for Joe (after refresh):", total_expense_joe)
total_expenses_by_week = {}


for person in x:
    person_name = person["WHO"]
    total_expenses_by_week[person_name] = {}

    for week in person["WEEK"]:
        week_number = week["NUMBER"]
        total_expense = 0

        for expense in week["EXPENSE"]:
            total_expense += expense["AMOUNT"]

        total_expenses_by_week[person_name][week_number] = total_expense


for person, weeks_data in total_expenses_by_week.items():
    for week, total_expense in weeks_data.items():
        print(f"{person}'s total expense for week {week}: {total_expense:.2f}")